/* @(#)47        1.2  src/export/include/ldaplocale.h, ldap.libs, aus52ldap 8/29/02 13:47:33 */
/*
 * COMPONENT_NAME: ldap.include
 *
 * ABSTRACT:
 *
 * FUNCTIONS:
 *
 * ORIGINS: 202,27
 *
 * (C) COPYRIGHT International Business Machines Corp. 1998
 * All Rights Reserved
 * Licensed Materials - Property of IBM
 *
 * US Government Users Restricted Rights _ Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

#ifndef LDAPLOCALE_H
#define LDAPLOCALE_H


#ifdef _WIN32

/* Arabic      */
#define LDAP_LOCALE_ARABIC1    "ARAA1256"
#define LDAP_LOCALE_ARABIC2  "ARAA864"

/* Bulgarian     */
#define LDAP_LOCALE_BULGARIAN1   "BGBG1251"
#define LDAP_LOCALE_BULGARIAN2  "bgbg1251@euro"

/* Czech      */
#define LDAP_LOCALE_CZECH1  "CSCZ1250"
#define LDAP_LOCALE_CZECH2  "CSCZ852"

/* Danish      */
#define LDAP_LOCALE_DANISH1  "DADK1252"
#define LDAP_LOCALE_DANISH2  "DADK850"

/* German - Germany    */
#define LDAP_LOCALE_GERMAN1  "DEDE1252"
#define LDAP_LOCALE_GERMAN2  "dede1252@euro"
#define LDAP_LOCALE_GERMAN3  "DEDE850"

/* German - Switzerland    */
#define LDAP_LOCALE_GERMAN4  "DECH1252"
#define LDAP_LOCALE_GERMAN5  "DECH850"

/* Greek      */
#define LDAP_LOCALE_GREEK1  "ELGR1253"
#define LDAP_LOCALE_GREEK2  "ELGR869"

/* English - United States    */
#define LDAP_LOCALE_ENGLISH1  "ENUS1252"
#define LDAP_LOCALE_ENGLISH2  "ENUS437"
#define LDAP_LOCALE_ENGLISH3  "ENUS850"

/* English - Great Britain    */
#define LDAP_LOCALE_ENGLISH4  "ENGB1252"
#define LDAP_LOCALE_ENGLISH5  "ENGB850"

/* Spanish - Spain     */
#define LDAP_LOCALE_SPANISH1  "ESES1252"
#define LDAP_LOCALE_SPANISH2  "eses1252@euro"
#define LDAP_LOCALE_SPANISH3  "ESES850"

#define LDAP_LOCALE_SPANISH4  "CAES1252"
#define LDAP_LOCALE_SPANISH5  "caes1252@euro"

/* Finnish      */
#define LDAP_LOCALE_FINNISH1  "FIFI1252"
#define LDAP_LOCALE_FINNISH2  "fifi1252@euro"
#define LDAP_LOCALE_FINNISH3  "FIFI850"

/* French - France     */
#define LDAP_LOCALE_FRENCH1  "FRFR1252"
#define LDAP_LOCALE_FRENCH2  "frfr1252@euro"

/* French - France     */
#define LDAP_LOCALE_FRENCH3  "FRFR850"

/* French - Canada     */
#define LDAP_LOCALE_FRENCH4  "FRCA1252"
#define LDAP_LOCALE_FRENCH5  "FRCA850"

/* French - Belgium    */
#define LDAP_LOCALE_FRENCH6  "FRBE1252"
#define LDAP_LOCALE_FRENCH7  "frbe1252@euro"
#define LDAP_LOCALE_FRENCH8  "FRBE850"

/* French - Switzerland    */
#define LDAP_LOCALE_FRENCH9  "FRCH1252"
#define LDAP_LOCALE_FRENCH10  "FRCH850"

/* Croatian     */
#define LDAP_LOCALE_CROATIAN1  "HRHR1250"
#define LDAP_LOCALE_CROATIAN2  "HRHR852"

/* Hungarian     */
#define LDAP_LOCALE_HUNGARIAN1   "HUHU1250"
#define LDAP_LOCALE_HUNGARIAN2  "HUHU852"

/* Icelandic     */
#define LDAP_LOCALE_ICELANDIC1  "ISIS1252"
#define LDAP_LOCALE_ICELANDIC2  "ISIS850"

/* Italian      */
#define LDAP_LOCALE_ITALIAN1  "ITIT1252"
#define LDAP_LOCALE_ITALIAN2  "itit1252@euro"
#define LDAP_LOCALE_ITALIAN3  "ITIT850"

/* Hebrew      */
#define LDAP_LOCALE_HEBREW1  "IWIL1255"
#define LDAP_LOCALE_HEBREW2  "IWIL862"

/* Japanese     */
#define LDAP_LOCALE_JAPANESE1  "JAJP932"

/* Korean      */
#define LDAP_LOCALE_KOREAN1  "KOKR949"

/* Macedonian     */
#define LDAP_LOCALE_MACEDONIAN1  "MKMK1251"
#define LDAP_LOCALE_NACEDONIAN2  "mkmk1251@euro"

/* Dutch - Netherlands    */
#define LDAP_LOCALE_DUTCH1  "NLNL1252"
#define LDAP_LOCALE_DUTCH2  "nlnl1252@euro"
#define LDAP_LOCALE_DUTCH3  "NLNL850"

/* Dutch - Belgium     */
#define LDAP_LOCALE_DUTCH4  "NLBE1252"
#define LDAP_LOCALE_DUTCH5  "nlbe1252@euro"
#define LDAP_LOCALE_DUTCH6  "NLBE850"

/* Norwegian     */
#define LDAP_LOCALE_NORWEGIAN1  "NONO1252"
#define LDAP_LOCALE_NORWEGIAN2  "NONO850"

/* Polish      */
#define LDAP_LOCALE_POLISH1  "PLPL1250"
#define LDAP_LOCALE_POLISH2  "PLPL852"

/* Portuguese     */
#define LDAP_LOCALE_PORTUGUESE1  "PTPT1252"
#define LDAP_LOCALE_PORTUGUESE2  "ptpt1252@euro"
#define LDAP_LOCALE_PORTUGUESE3  "PTPT850"

/* Portuguese - Brazil    */
#define LDAP_LOCALE_PORTUGUESE4  "PTBR1252"
#define LDAP_LOCALE_PORTUGUESE5  "PTBR850"

/* Romanian     */
#define LDAP_LOCALE_ROMANIAN1  "RORO1250"
#define LDAP_LOCALE_ROMANIAN2  "RORO852"

/* Russian      */
#define LDAP_LOCALE_RUSSIAN1  "RURU1251"
#define LDAP_LOCALE_RUSSIAN2  "ruru1251@euro"
#define LDAP_LOCALE_RUSSIAN3  "RURU866"

/* Serbian - Latin     */
#define LDAP_LOCALE_SERBIAN1  "SHSP1250"

/* Serbian - Cyrillic    */
#define LDAP_LOCALE_SERBIAN2  "SRSP1251"
#define LDAP_LOCALE_SERBIAN3  "srsp1251@euro"

/* Slovak      */
#define LDAP_LOCALE_SLOVAK1  "SKSK1250"
#define LDAP_LOCALE_SLOVAK2  "SKSK852"

/* Slovene      */
#define LDAP_LOCALE_SLOVENE1  "SLSI1250"
#define LDAP_LOCALE_SLOVENE2  "SLSI852"

#define LDAP_LOCALE_ALBANIAN1  "SQAL1252"

/* Swedish      */
#define LDAP_LOCALE_SWEDISH1  "SVSE1252"
#define LDAP_LOCALE_SWEDISH2  "SVSE1252"

/* Thai      */
#define LDAP_LOCALE_THAILAND  "THTH874"

/* Turkish      */
#define LDAP_LOCALE_TURKISH1  "TRTR1254"
#define LDAP_LOCALE_TURKISH2  "TRTR857"


/* Chinese      */
#define LDAP_LOCALE_CHINESE1  "ZHCN936"

/* Chinese - Taiwan     */
#define LDAP_LOCALE_CHINESE2  "ZHTW950"

#endif

#endif

